diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
index fbbcb1e..748cc62 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
@@ -914,27 +914,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Quảng Ngãi
+    // Quảng Trị
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;QuangNgai">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;QuangTri">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Quảng Ngãi</rdfs:label>
-      <skos:definition>The province of Quảng Ngãi in the country of Viet Nam</skos:definition>
+      <rdfs:label>Quảng Trị</rdfs:label>
+      <skos:definition>The province of Quảng Trị in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Quảng Ngãi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Quảng Trị</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-29">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-25">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Quảng Ngãi in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-29</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-29</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;QuangNgai"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;QuangNgai"/>
+      <skos:definition>subdivision code for the province of Quảng Trị in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-25</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-25</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;QuangTri"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;QuangTri"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -944,27 +944,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hưng Yên
+    // Kiến Giang
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HungYen">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;KienGiang">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hưng Yên</rdfs:label>
-      <skos:definition>The province of Hưng Yên in the country of Viet Nam</skos:definition>
+      <rdfs:label>Kiến Giang</rdfs:label>
+      <skos:definition>The province of Kiến Giang in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hưng Yên</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Kiến Giang</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-66">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-47">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Hưng Yên in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-66</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-66</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HungYen"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HungYen"/>
+      <skos:definition>subdivision code for the province of Kiến Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-47</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-47</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;KienGiang"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;KienGiang"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -974,27 +974,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phú Thọ
+    // Hải Dương
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;PhuTho">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaiDuong">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phú Thọ</rdfs:label>
-      <skos:definition>The province of Phú Thọ in the country of Viet Nam</skos:definition>
+      <rdfs:label>Hải Dương</rdfs:label>
+      <skos:definition>The province of Hải Dương in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Phú Thọ</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hải Dương</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-68">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-61">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phú Thọ in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-68</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-68</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;PhuTho"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;PhuTho"/>
+      <skos:definition>subdivision code for the province of Hải Dương in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-61</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-61</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaiDuong"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaiDuong"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1004,27 +1004,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hà Tĩnh
+    // Nam Định
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaTinh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;Naminh">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hà Tĩnh</rdfs:label>
-      <skos:definition>The province of Hà Tĩnh in the country of Viet Nam</skos:definition>
+      <rdfs:label>Nam Định</rdfs:label>
+      <skos:definition>The province of Nam Định in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hà Tĩnh</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Nam Định</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-23">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-67">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Hà Tĩnh in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-23</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-23</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaTinh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaTinh"/>
+      <skos:definition>subdivision code for the province of Nam Định in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-67</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-67</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;Naminh"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;Naminh"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1034,27 +1034,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Thừa Thiên-Huế
+    // Hai Phong
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ThuaThien-Hue">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaiPhong">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Thừa Thiên-Huế</rdfs:label>
-      <skos:definition>The province of Thừa Thiên-Huế in the country of Viet Nam</skos:definition>
+      <rdfs:label>Hai Phong</rdfs:label>
+      <skos:definition>The municipality of Hai Phong in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Thừa Thiên-Huế</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hai Phong</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Municipality"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-26">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-HP">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Thừa Thiên-Huế in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-26</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-26</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ThuaThien-Hue"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ThuaThien-Hue"/>
+      <skos:definition>subdivision code for the municipality of Hai Phong in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-HP</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-HP</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaiPhong"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaiPhong"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1064,27 +1064,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Đắk Lắk
+    // Ho Chi Minh
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;akLak">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HoChiMinh">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Đắk Lắk</rdfs:label>
-      <skos:definition>The province of Đắk Lắk in the country of Viet Nam</skos:definition>
+      <rdfs:label>Ho Chi Minh</rdfs:label>
+      <skos:definition>The municipality of Ho Chi Minh in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Đắk Lắk</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Ho Chi Minh</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Municipality"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-33">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-SG">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Đắk Lắk in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-33</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-33</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;akLak"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;akLak"/>
+      <skos:definition>subdivision code for the municipality of Ho Chi Minh in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-SG</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-SG</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HoChiMinh"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HoChiMinh"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1094,27 +1094,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Khánh Hòa
+    // Lạng Sơn
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;KhanhHoa">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;LangSon">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Khánh Hòa</rdfs:label>
-      <skos:definition>The province of Khánh Hòa in the country of Viet Nam</skos:definition>
+      <rdfs:label>Lạng Sơn</rdfs:label>
+      <skos:definition>The province of Lạng Sơn in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Khánh Hòa</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Lạng Sơn</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-34">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-09">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Khánh Hòa in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-34</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-34</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;KhanhHoa"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;KhanhHoa"/>
+      <skos:definition>subdivision code for the province of Lạng Sơn in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-09</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-09</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;LangSon"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;LangSon"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1124,27 +1124,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // An Giang
+    // Thanh Hóa
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;AnGiang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ThanhHoa">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>An Giang</rdfs:label>
-      <skos:definition>The province of An Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>Thanh Hóa</rdfs:label>
+      <skos:definition>The province of Thanh Hóa in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">An Giang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Thanh Hóa</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-44">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-21">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of An Giang in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-44</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-44</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;AnGiang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;AnGiang"/>
+      <skos:definition>subdivision code for the province of Thanh Hóa in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-21</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-21</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ThanhHoa"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ThanhHoa"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1154,27 +1154,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Đồng Tháp
+    // Quảng Bình
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ongThap">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;QuangBinh">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Đồng Tháp</rdfs:label>
-      <skos:definition>The province of Đồng Tháp in the country of Viet Nam</skos:definition>
+      <rdfs:label>Quảng Bình</rdfs:label>
+      <skos:definition>The province of Quảng Bình in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Đồng Tháp</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Quảng Bình</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-45">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-24">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Đồng Tháp in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-45</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-45</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ongThap"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ongThap"/>
+      <skos:definition>subdivision code for the province of Quảng Bình in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-24</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-24</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;QuangBinh"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;QuangBinh"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1184,27 +1184,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sơn La
+    // Bình Thuận
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;SonLa">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BinhThuan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sơn La</rdfs:label>
-      <skos:definition>The province of Sơn La in the country of Viet Nam</skos:definition>
+      <rdfs:label>Bình Thuận</rdfs:label>
+      <skos:definition>The province of Bình Thuận in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Sơn La</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bình Thuận</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-05">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-40">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Sơn La in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-05</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-05</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;SonLa"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;SonLa"/>
+      <skos:definition>subdivision code for the province of Bình Thuận in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-40</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-40</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BinhThuan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BinhThuan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1214,27 +1214,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hòa Bình
+    // Bà Rịa - Vũng Tàu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HoaBinh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BaRia-VungTau">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hòa Bình</rdfs:label>
-      <skos:definition>The province of Hòa Bình in the country of Viet Nam</skos:definition>
+      <rdfs:label>Bà Rịa - Vũng Tàu</rdfs:label>
+      <skos:definition>The province of Bà Rịa - Vũng Tàu in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hòa Bình</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bà Rịa - Vũng Tàu</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-14">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-43">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Hòa Bình in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-14</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-14</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HoaBinh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HoaBinh"/>
+      <skos:definition>subdivision code for the province of Bà Rịa - Vũng Tàu in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-43</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-43</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BaRia-VungTau"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BaRia-VungTau"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1244,27 +1244,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Quảng Trị
+    // Tiền Giang
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;QuangTri">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;TienGiang">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Quảng Trị</rdfs:label>
-      <skos:definition>The province of Quảng Trị in the country of Viet Nam</skos:definition>
+      <rdfs:label>Tiền Giang</rdfs:label>
+      <skos:definition>The province of Tiền Giang in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Quảng Trị</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Tiền Giang</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-25">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-46">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Quảng Trị in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-25</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-25</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;QuangTri"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;QuangTri"/>
+      <skos:definition>subdivision code for the province of Tiền Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-46</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-46</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;TienGiang"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;TienGiang"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1274,27 +1274,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kiến Giang
+    // Bến Tre
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;KienGiang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BenTre">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kiến Giang</rdfs:label>
-      <skos:definition>The province of Kiến Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>Bến Tre</rdfs:label>
+      <skos:definition>The province of Bến Tre in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Kiến Giang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bến Tre</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-47">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-50">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Kiến Giang in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-47</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-47</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;KienGiang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;KienGiang"/>
+      <skos:definition>subdivision code for the province of Bến Tre in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-50</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-50</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BenTre"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BenTre"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1304,27 +1304,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hải Dương
+    // Bạc Liêu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaiDuong">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BacLieu">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hải Dương</rdfs:label>
-      <skos:definition>The province of Hải Dương in the country of Viet Nam</skos:definition>
+      <rdfs:label>Bạc Liêu</rdfs:label>
+      <skos:definition>The province of Bạc Liêu in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hải Dương</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bạc Liêu</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-61">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-55">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Hải Dương in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-61</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-61</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaiDuong"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaiDuong"/>
+      <skos:definition>subdivision code for the province of Bạc Liêu in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-55</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-55</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BacLieu"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BacLieu"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
